Page MenuHomePhabricator

Cannot read property 'extsrc' of null
Closed, ResolvedPublic

Description

From https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.01.20/parsoid?id=AWET2kHXqJPajYV1RMqS&_g=()

frwiki/Utilisateur:Depil/125767760 and others

TypeError: Cannot read property 'extsrc' of null
    at Object.tokenHandler (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/ext/Pre/index.js:48:24)
    at ExtensionHandler.onExtension (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tt/ExtensionHandler.js:129:13)
    at AsyncTokenTransformManager.transformTokens (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/TokenTransformManager.js:624:17)
    at AsyncTokenTransformManager.onChunk (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/TokenTransformManager.js:397:17)
    at emitOne (events.js:96:13)
    at SyncTokenTransformManager.emit (events.js:188:7)
    at SyncTokenTransformManager.onChunk (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/TokenTransformManager.js:981:7)
    at emitOne (events.js:96:13)
    at PegTokenizer.emit (events.js:188:7)
    at emitChunk (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:20442:25)
    at peg$c33 (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:390:11)
    at peg$parsetlb (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:3233:12)
    at Object.next (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:1947:14)
    at Immediate.tokenizeChunk (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:299:20)
    at runCallback (timers.js:672:20)
    at tryOnImmediate (timers.js:645:5)

Event Timeline

Arlolra created this task.Jan 20 2018, 3:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2018, 3:40 PM
Arlolra triaged this task as Normal priority.Jan 20 2018, 3:40 PM
Arlolra claimed this task.Jan 22 2018, 11:56 PM

Change 405823 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Fix crasher from rendering self-closed html pre tags

https://gerrit.wikimedia.org/r/405823

Arlolra raised the priority of this task from Normal to High.Jan 23 2018, 12:14 AM

Change 405823 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix crasher from rendering self-closed html pre tags

https://gerrit.wikimedia.org/r/405823

Arlolra closed this task as Resolved.Jan 23 2018, 4:15 PM